Idea:
Pizza constructor restaurant.
Implementation:
We have Subject class Pizza, class MainOfPizza(implementation) and decorator class PizzaDecorator.
In package additions we have different additions for pizza(corn, cheese, meet).
With decorator we can create different kind of pizza without wide hierarchy of Pizza.

